/*
 * TemplateJDialog.java
 *
 * Created on 1 octobre 2008, 08:26
 */

package org.cocktail.kiwi.client.nibctrl;

import org.cocktail.kiwi.common.utilities.CocktailIcones;

/**
 *
 * @author  cpinsard
 */
public class SaisieTitreMissionView extends javax.swing.JDialog {

    /** Creates new form TemplateJDialog */
    public SaisieTitreMissionView(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonGroup1 = new javax.swing.ButtonGroup();
        buttonGroup2 = new javax.swing.ButtonGroup();
        buttonGroup3 = new javax.swing.ButtonGroup();
        buttonGroup4 = new javax.swing.ButtonGroup();
        buttonGroup5 = new javax.swing.ButtonGroup();
        buttonGroup6 = new javax.swing.ButtonGroup();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        tfLibelle = new javax.swing.JTextField();
        jLabel4 = new javax.swing.JLabel();
        buttonValider = new javax.swing.JButton();
        buttonAnnuler = new javax.swing.JButton();
        checkPaimentOui = new javax.swing.JCheckBox();
        checkPaiementNon = new javax.swing.JCheckBox();
        checkCtrlDatesOui = new javax.swing.JCheckBox();
        checkCtrlDatesNon = new javax.swing.JCheckBox();
        checkPermanenteOui = new javax.swing.JCheckBox();
        checkPermanenteNon = new javax.swing.JCheckBox();
        jLabel5 = new javax.swing.JLabel();
        jLabel6 = new javax.swing.JLabel();
        jLabel7 = new javax.swing.JLabel();
        checkCongeNon = new javax.swing.JCheckBox();
        checkCongeOui = new javax.swing.JCheckBox();
        checkPlanningNon = new javax.swing.JCheckBox();
        checkPlanningOui = new javax.swing.JCheckBox();
        jLabel8 = new javax.swing.JLabel();
        checkLbudOui = new javax.swing.JCheckBox();
        checkLbudNon = new javax.swing.JCheckBox();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Saisie / Modification Titres de Mission");
        setResizable(false);

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Paiement :");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("LIBELLE :");

        jLabel4.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel4.setText("Contrôle des dates :");

        buttonValider.setText("Valider");
        buttonValider.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonValiderActionPerformed(evt);
            }
        });

        buttonAnnuler.setText("Annuler");
        buttonAnnuler.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                buttonAnnulerActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkPaimentOui);
        checkPaimentOui.setText("OUI");
        checkPaimentOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPaimentOuiActionPerformed(evt);
            }
        });

        buttonGroup1.add(checkPaiementNon);
        checkPaiementNon.setText("NON");
        checkPaiementNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPaiementNonActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkCtrlDatesOui);
        checkCtrlDatesOui.setText("OUI");
        checkCtrlDatesOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCtrlDatesOuiActionPerformed(evt);
            }
        });

        buttonGroup2.add(checkCtrlDatesNon);
        checkCtrlDatesNon.setText("NON");
        checkCtrlDatesNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCtrlDatesNonActionPerformed(evt);
            }
        });

        buttonGroup5.add(checkPermanenteOui);
        checkPermanenteOui.setText("OUI");
        checkPermanenteOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPermanenteOuiActionPerformed(evt);
            }
        });

        buttonGroup5.add(checkPermanenteNon);
        checkPermanenteNon.setText("NON");
        checkPermanenteNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPermanenteNonActionPerformed(evt);
            }
        });

        jLabel5.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel5.setText("Mission Permanente :");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Contrôle Planning :");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("Contrôle Congés :");

        buttonGroup4.add(checkCongeNon);
        checkCongeNon.setText("NON");
        checkCongeNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCongeNonActionPerformed(evt);
            }
        });

        buttonGroup4.add(checkCongeOui);
        checkCongeOui.setText("OUI");
        checkCongeOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkCongeOuiActionPerformed(evt);
            }
        });

        buttonGroup3.add(checkPlanningNon);
        checkPlanningNon.setText("NON");
        checkPlanningNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPlanningNonActionPerformed(evt);
            }
        });

        buttonGroup3.add(checkPlanningOui);
        checkPlanningOui.setText("OUI");
        checkPlanningOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkPlanningOuiActionPerformed(evt);
            }
        });

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("Saisie des infos budgétaires :");

        buttonGroup6.add(checkLbudOui);
        checkLbudOui.setText("OUI");
        checkLbudOui.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkLbudOuiActionPerformed(evt);
            }
        });

        buttonGroup6.add(checkLbudNon);
        checkLbudNon.setText("NON");
        checkLbudNon.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                checkLbudNonActionPerformed(evt);
            }
        });

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 73, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(tfLibelle, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 401, Short.MAX_VALUE)
                .addContainerGap())
            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                .addContainerGap(290, Short.MAX_VALUE)
                .add(buttonAnnuler, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(buttonValider, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 96, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap())
            .add(layout.createSequentialGroup()
                .add(58, 58, 58)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 148, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(checkLbudOui)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(checkLbudNon))
                    .add(layout.createSequentialGroup()
                        .add(29, 29, 29)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPaimentOui)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkPaiementNon))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel6, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPlanningOui)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkPlanningNon))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel4, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkCtrlDatesOui)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkCtrlDatesNon))
                            .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                                .add(jLabel7, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkCongeOui)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkCongeNon))
                            .add(layout.createSequentialGroup()
                                .add(jLabel5, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 119, Short.MAX_VALUE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                                .add(checkPermanenteOui)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(checkPermanenteNon)))))
                .add(194, 194, 194))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(19, 19, 19)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel2)
                    .add(tfLibelle, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .add(18, 18, 18)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(checkPaimentOui)
                    .add(checkPaiementNon))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel4)
                    .add(checkCtrlDatesOui)
                    .add(checkCtrlDatesNon))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel6)
                    .add(checkPlanningOui)
                    .add(checkPlanningNon))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel7)
                    .add(checkCongeOui)
                    .add(checkCongeNon))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel5)
                    .add(checkPermanenteOui)
                    .add(checkPermanenteNon))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel8)
                    .add(checkLbudOui)
                    .add(checkLbudNon))
                .add(19, 19, 19)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(buttonValider)
                    .add(buttonAnnuler))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-514)/2, (screenSize.height-301)/2, 514, 301);
    }// </editor-fold>//GEN-END:initComponents

private void buttonValiderActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonValiderActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonValiderActionPerformed

private void buttonAnnulerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_buttonAnnulerActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_buttonAnnulerActionPerformed

private void checkPaimentOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPaimentOuiActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_checkPaimentOuiActionPerformed

private void checkPaiementNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPaiementNonActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_checkPaiementNonActionPerformed

private void checkCtrlDatesOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCtrlDatesOuiActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_checkCtrlDatesOuiActionPerformed

private void checkCtrlDatesNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCtrlDatesNonActionPerformed
// TODO add your handling code here:
}//GEN-LAST:event_checkCtrlDatesNonActionPerformed

private void checkPermanenteOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPermanenteOuiActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkPermanenteOuiActionPerformed

private void checkPermanenteNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPermanenteNonActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkPermanenteNonActionPerformed

private void checkCongeNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCongeNonActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkCongeNonActionPerformed

private void checkCongeOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkCongeOuiActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkCongeOuiActionPerformed

private void checkPlanningNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPlanningNonActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkPlanningNonActionPerformed

private void checkPlanningOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkPlanningOuiActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkPlanningOuiActionPerformed

private void checkLbudOuiActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkLbudOuiActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkLbudOuiActionPerformed

private void checkLbudNonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_checkLbudNonActionPerformed
    // TODO add your handling code here:
}//GEN-LAST:event_checkLbudNonActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                SaisieVehiculeView dialog = new SaisieVehiculeView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton buttonAnnuler;
    private javax.swing.ButtonGroup buttonGroup1;
    private javax.swing.ButtonGroup buttonGroup2;
    private javax.swing.ButtonGroup buttonGroup3;
    private javax.swing.ButtonGroup buttonGroup4;
    private javax.swing.ButtonGroup buttonGroup5;
    private javax.swing.ButtonGroup buttonGroup6;
    protected javax.swing.JButton buttonValider;
    protected javax.swing.JCheckBox checkCongeNon;
    protected javax.swing.JCheckBox checkCongeOui;
    protected javax.swing.JCheckBox checkCtrlDatesNon;
    protected javax.swing.JCheckBox checkCtrlDatesOui;
    protected javax.swing.JCheckBox checkLbudNon;
    protected javax.swing.JCheckBox checkLbudOui;
    protected javax.swing.JCheckBox checkPaiementNon;
    protected javax.swing.JCheckBox checkPaimentOui;
    protected javax.swing.JCheckBox checkPermanenteNon;
    protected javax.swing.JCheckBox checkPermanenteOui;
    protected javax.swing.JCheckBox checkPlanningNon;
    protected javax.swing.JCheckBox checkPlanningOui;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    protected javax.swing.JTextField tfLibelle;
    // End of variables declaration//GEN-END:variables
    
    private void initGui() {
        
        buttonValider.setIcon(CocktailIcones.ICON_VALID);
    	buttonAnnuler.setIcon(CocktailIcones.ICON_CANCEL);

    }

	public javax.swing.JCheckBox getCheckCongeNon() {
		return checkCongeNon;
	}

	public void setCheckCongeNon(javax.swing.JCheckBox checkCongeNon) {
		this.checkCongeNon = checkCongeNon;
	}

	public javax.swing.JCheckBox getCheckCongeOui() {
		return checkCongeOui;
	}

	public void setCheckCongeOui(javax.swing.JCheckBox checkCongeOui) {
		this.checkCongeOui = checkCongeOui;
	}

	public javax.swing.JCheckBox getCheckCtrlDatesNon() {
		return checkCtrlDatesNon;
	}

	public void setCheckCtrlDatesNon(javax.swing.JCheckBox checkCtrlDatesNon) {
		this.checkCtrlDatesNon = checkCtrlDatesNon;
	}

	public javax.swing.JCheckBox getCheckCtrlDatesOui() {
		return checkCtrlDatesOui;
	}

	public void setCheckCtrlDatesOui(javax.swing.JCheckBox checkCtrlDatesOui) {
		this.checkCtrlDatesOui = checkCtrlDatesOui;
	}

	public javax.swing.JCheckBox getCheckPaiementNon() {
		return checkPaiementNon;
	}

	public void setCheckPaiementNon(javax.swing.JCheckBox checkPaiementNon) {
		this.checkPaiementNon = checkPaiementNon;
	}

	public javax.swing.JCheckBox getCheckPaimentOui() {
		return checkPaimentOui;
	}

	public void setCheckPaimentOui(javax.swing.JCheckBox checkPaimentOui) {
		this.checkPaimentOui = checkPaimentOui;
	}

	public javax.swing.JCheckBox getCheckPermanenteNon() {
		return checkPermanenteNon;
	}

	public javax.swing.JCheckBox getCheckLbudNon() {
		return checkLbudNon;
	}

	public void setCheckLbudNon(javax.swing.JCheckBox checkLbudNon) {
		this.checkLbudNon = checkLbudNon;
	}

	public javax.swing.JCheckBox getCheckLbudOui() {
		return checkLbudOui;
	}

	public void setCheckLbudOui(javax.swing.JCheckBox checkLbudOui) {
		this.checkLbudOui = checkLbudOui;
	}

	public void setCheckPermanenteNon(javax.swing.JCheckBox checkPermanenteNon) {
		this.checkPermanenteNon = checkPermanenteNon;
	}

	public javax.swing.JCheckBox getCheckPermanenteOui() {
		return checkPermanenteOui;
	}

	public void setCheckPermanenteOui(javax.swing.JCheckBox checkPermanenteOui) {
		this.checkPermanenteOui = checkPermanenteOui;
	}

	public javax.swing.JCheckBox getCheckPlanningNon() {
		return checkPlanningNon;
	}

	public void setCheckPlanningNon(javax.swing.JCheckBox checkPlanningNon) {
		this.checkPlanningNon = checkPlanningNon;
	}

	public javax.swing.JCheckBox getCheckPlanningOui() {
		return checkPlanningOui;
	}

	public void setCheckPlanningOui(javax.swing.JCheckBox checkPlanningOui) {
		this.checkPlanningOui = checkPlanningOui;
	}

	public javax.swing.JTextField getTfLibelle() {
		return tfLibelle;
	}

	public void setTfLibelle(javax.swing.JTextField tfLibelle) {
		this.tfLibelle = tfLibelle;
	}
    
    
}
